# Class AccessRule

java.lang.Object
org.gradle.plugins.ide.eclipse.model.AccessRule

public class AccessRule extends Object
Access rule associated to a classpath entry.

## Constructor Summary

Constructors
Constructor
Description
`AccessRule(String kind, String pattern)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getKind()`
`String`
`getPattern()`
`int`
`hashCode()`
`void`
`setKind(String kind)`
`void`
`setPattern(String pattern)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessRule

public AccessRule(String kind, String pattern)

## Method Details

### getKind

public String getKind()

### setKind

public void setKind(String kind)

### getPattern

public String getPattern()

### setPattern

public void setPattern(String pattern)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`